Arduino

Reference Language | Libraries | Comparison | Changes

SD

## exists()

#### Description

Tests whether a file or directory exists on the SD card.

#### Syntax

SD.exists(filename)

#### Parameters

filename: the name of the file to test for existence, which can include directories (delimited by forward-slashes, /)

#### Returns

true if the file or directory exists, false if not

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes